/* Fuentes */
/* Nombre Andres Hinestrosa */
@font-face {
    font-family: 'Marsh';
    src: url(../fonts/Marsh\ Stencil\ Regular.otf)
}

@font-face {
    font-family: 'Black';
    src: url(./../fonts/BlackSignature_PERSONAL_USE_ONLY.otf);
}

@font-face {
    font-family: 'BebasNeue';
    src: url(./../fonts/BebasNeue-Regular.otf);
}

/* Ajustes generales */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Estructura */
body {
    background-image: linear-gradient(0deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.15) 70%, rgba(255, 255, 255, 0.0) 100%), url('./../img/fondo-podcast.jpeg');
    background-color: #b9d991;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 100vh;
    padding-top: 2vh;
    cursor: crosshair;
}

.ilustracion {
    margin: 1vh auto;
    width: 80vw;

    img {
        width: 100%;
        height: auto;
    }
}

section {
    margin: 0vh 6vw;
}

.brand {
    font-family: "BebasNeue";
    color: rgb(21, 16, 55);
    font-size: 2.0rem;
    line-height: 1.6rem;
}

.brand-subtitulo {
    font-family: "Black";
    color: rgb(184, 20, 133);
    font-size: 1.8rem;
    margin-bottom: -0.5rem;
}

p {
    font-family: "Helvetica";
    font-size: 0.9rem;
    color: rgb(21, 16, 55);
}

.redes-sociales {
    color: black;
    text-align: center;
    padding: 0.3rem 0;

    a {
        padding: 0 1.8rem;
        font-size: 1.5rem;
        text-decoration: none;
    }
}

.reproductor-spotify {
    margin: 0 auto;
    margin-bottom: -1.5vh;
    height: 20vh;

    iframe {
        width: 100%;
        height: 100%;
        border-radius: 5px;
    }
}

a:link,
a:visited {
    color: rgba(21, 16, 55);
}

a:hover,
a:active {
    color: black;
}


footer {
    text-align: center;
    font-size: 0.8rem;
    padding-bottom: 1rem;
}

.brand-ah {
    font-family: "Marsh";
    font-size: 1rem;
    letter-spacing: -0.05rem;

    a {
        color: black;
        text-decoration: none;
    }
}

/* RESPONSIVIDAD */
/* Móviles en horizontal o tablets en vertical */
@media (min-width: 768px) {
    body {
        /* background-color: yellow; */
    }

    .reproductor-spotify {
        margin-bottom: 0;
    }
}

/* Tablets en horizonal y escritorios normales */
@media (min-width: 1024px) {
    body {
        /* background-color: red; */
        padding-top: 12vh;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        margin: auto;
        width: 85vw;
    }

    .ilustracion {
        width: 45%;

        img {
            margin-top: 8%;
        }
    }

    section {
        width: 55%;
        padding: 4vh 0 0 2vw;
        margin: 0;
    }

    .redes-sociales {
        margin: 1rem 0;
    }

    .reproductor-spotify {
        width: 80%;
        height: 30vh;
    }

    footer {
        margin: auto;
        margin-top: 4vh;
    }
}

/* Escritorios muy anchos */
@media (min-width: 1200px) {
    body {
        /* background-color: aqua; */
        width: 80vw;
    }

    .ilustracion {
        width: 40%;
    }

    section {
        padding: 5vh 0 0 4vw;
    }

    .reproductor-spotify {
        width: 100%;
        height: 24vh;
    }

    footer {
        margin-top: 12vh;
    }

}